## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelParameterBlock Struct Reference

This interface is a parameter block that can be used to pass parameters through SendMessage() in a behaviour. More...

`#include <behaviourlayer/behave.h>`

Inheritance diagram for iCelParameterBlock:

[legend]
List of all members.

## Public Member Functions

virtual const celData * | GetParameter (csStringID id) const =0
| Get parameter given an id.
virtual const char * | GetParameter (size_t idx, csStringID &id, celDataType &t) const =0
| Get parameter with index.
virtual size_t | GetParameterCount () const =0
| Get number of parameters.

## Detailed Description

This interface is a parameter block that can be used to pass parameters through SendMessage() in a behaviour.

Parameter ids are constructed from the following string: cel.parameter."name"

Definition at line 41 of file behave.h.

## Member Function Documentation

virtual const celData* iCelParameterBlock::GetParameter | ( | csStringID | id | ) | const`[pure virtual]`

| Get parameter given an id. Implemented in celGenericParameterBlock, celVariableParameterBlock, and celOneParameterBlock.

virtual const char* iCelParameterBlock::GetParameter | ( | size_t | idx,
|  | csStringID & | id,
|  | celDataType & | t
| ) | const`[pure virtual]`

| Get parameter with index. Returns the name and sets 'id' and 'type' to the appropriate values. Implemented in celGenericParameterBlock, celVariableParameterBlock, and celOneParameterBlock.

virtual size_t iCelParameterBlock::GetParameterCount | ( |  | ) | const`[pure virtual]`

| Get number of parameters. Implemented in celGenericParameterBlock, celVariableParameterBlock, and celOneParameterBlock.

The documentation for this struct was generated from the following file:

- behaviourlayer/behave.h